select vcomputer.[OS Name] as [Sistema Operacional],
COUNT (vcomputer.[OS Name]) as [Installed], 
sum(distinct Inv_SoftwareProduct_ComplianceInfo.[Purchased Licenses])as [Purchased Licenses],
(sum(distinct Inv_SoftwareProduct_ComplianceInfo.[Purchased Licenses]) - COUNT (vcomputer.[OS Name])) as [Compliance]
From vcomputer
join RM_ResourceSoftware_Product
on vcomputer.[OS Name] = RM_ResourceSoftware_Product.[Name]
join Inv_SoftwareProduct_ComplianceInfo
on Inv_SoftwareProduct_ComplianceInfo._ResourceGuid = RM_ResourceSoftware_Product.[Guid]
where vcomputer.IsManaged = '1'
Group by vcomputer.[OS Name]
